<div style="margin-top: 20px;">
    <h5>
        <span>Input Penerimaan STNK</span>
    </h5>

    <br>
    <br>
    <form name="editForm" role="form" (ngSubmit)="addItem()" #editForm="ngForm">
    <div class="row">
        <div class="col-md-4">
            <div class="form-group">
                <label class="form-control-label">No. Reference</label>
                <input class="form-control" type="text" name="no_ref" [(ngModel)]="vehicleDocumentRequirementbegbalupdate.refnumber" readonly>
            </div>
    
            <div class="form-group">
                <label class="form-control-label">Tgl. Reference</label>
                <input class="form-control" type="text" name="refdt" [(ngModel)]="vehicleDocumentRequirementbegbalupdate.refdt" readonly>
            </div>
    
            <div class="form-group">
                <label class="form-control-label">Biro Jasa</label>
                <input class="form-control" type="text" name="idvendor" [(ngModel)]="vehicleDocumentRequirementbegbalupdate.idvendor">
            </div>
            <div class="form-group">
                <label class="form-control-label">No. Rangka</label>
                <input class="form-control" type="text" name="idFrame" [(ngModel)]="vehicleDocumentRequirementbegbalupdate.idframe" required>
            </div>
            <div class="form-group">
                <label class="form-control-label">No. Mesin</label>
                <input class="form-control" type="text" name="idMachine" [(ngModel)]="vehicleDocumentRequirementbegbalupdate.idmachine" required>
            </div>
            <div class="form-group">
                <label class="form-control-label">No. Polisi</label>
                <input class="form-control" type="text" name="policenumber" [(ngModel)]="vehicleDocumentRequirementbegbalupdate.policenumber">
            </div>
            <div class="form-group">
                <label class="form-control-label">Biro Jasa</label>
                <input class="form-control" type="text" name="idvendor" [(ngModel)]="vehicleDocumentRequirementbegbalupdate.idvendor">
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label class="form-control-label">Qty Terima</label>
                <input class="form-control" type="text" name="receiptQty" [(ngModel)]="vehicleDocumentRequirementbegbalupdate.totalTerima" currencyMask [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" readonly>
            </div>
    
            <div class="form-group">
                <label class="form-control-label">Nominal</label>
                <input class="form-control" type="text" name="receiptNominal" [(ngModel)]="vehicleDocumentRequirementbegbalupdate.nominalTerima" currencyMask [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" readonly>
            </div>
            <div class="form-group">
                <p-checkbox name="input_platNomor" label="Plat Nomor" styleClass="form-check-input" binary="true"
                    (onChange)="onChangePlatNomor($event)">
                </p-checkbox>
                <label>
                    {{vehicleDocumentRequirementbegbalupdate.dtreceiptPlat| date:'dd-M-yyyy'}}
                </label>
                    <!-- <input class="form-control" type="text" name="idFrame" [(ngModel)]="vehicleDocumentRequirementbegbalupdate.dtreceipt" readonly> -->
            </div>
            <!-- <div class="form-group">
                <p-checkbox name="input_notice" label="Notice" styleClass="form-check-input" binary="true"
                    (onChange)="onChangeNotice($event)">
                </p-checkbox>
                <label>
                    {{vehicleDocumentRequirementbegbalupdate.dtreceiptNotice| date:'dd-M-yyyy'}}
                </label>
                 <input class="form-control" type="text" name="idFrame" [(ngModel)]="vehicleDocumentRequirementbegbalupdate.dtreceipt" readonly>
            </div> -->
            <div class="form-group">
                <p-checkbox name="input_stnk" label="Notice" styleClass="form-check-input" binary="true" (onChange)="gantiNotice($event)">
                </p-checkbox>
                <label>
                    {{vehicleDocumentRequirementbegbalupdate.gantiNotice| date:'dd-M-yyyy'}}
                </label>
                <!-- <input class="form-control" type="text" name="idFrame" [(ngModel)]="vehicleDocumentRequirementbegbalupdate.dtreceipt" readonly> -->
            </div>
            <div class="form-group">
                <p-checkbox name="input_stnk" label="STNK" styleClass="form-check-input" binary="true"
                    (onChange)="onChangeStnk($event)">
                </p-checkbox>
                <label>
                    {{vehicleDocumentRequirementbegbalupdate.dtreceiptStnk| date:'dd-M-yyyy'}}
                </label>
                <!-- <input class="form-control" type="text" name="idFrame" [(ngModel)]="vehicleDocumentRequirementbegbalupdate.dtreceipt" readonly> -->
            </div>
            <br>
            <div class="form-group">
                <label class="form-control-label">Input No. Polisi</label>
                <input class="form-control" type="text" name="noBPKB" [(ngModel)]="vehicleDocumentRequirementbegbalupdate.policenumber">
            </div>
            <div class="form-group">
                <label class="form-control-label">No Faktur</label>
                <input class="form-control" type="text" name="No Faktur" [(ngModel)]="vehicleDocumentRequirementbegbalupdate.noFaktur">
            </div>
        </div>
        <div class="col-md-4"></div>
    </div>
<div class="row">
    <div class="col-md-4">
        <div class="form-group">
            <button type="button" class="btn btn-primary" (click)="checkNoka(vehicleDocumentRequirementbegbalupdate.idframe)">
                <span>CHECK</span>
            </button>
        </div>
    </div>
    </div>
    <div class="row">
    <div class="col-md-12">
        <div class="pull-right">
            <button type="submit" class="btn btn-primary"><span>Tambah</span></button>
        </div>
    </div>
    </div>
    </form>
    <p-dataTable [value]="additemVdr" 
    [editable]="true" 
    [rows]="itemsPerPage" 
    [paginator]="true" 
    [pageLinks]="5" 
    [rowsPerPageOptions]="[10,15,20]"
    [totalRecords]="totalItems" 
    [responsive]="true"
    expandableRows="false">
        <p-header>
    
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="LIST" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="No. Rangka">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.idframe}}
            </ng-template>
        </p-column>
        <p-column header="No. Mesin">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.idmachine}}
            </ng-template>
        </p-column>
        <p-column header="Biaya Pengurusan">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.biayaPengurusan}}
            </ng-template>
        </p-column>
        <p-column header="Nomor Polisi">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.policenumber}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Terima Plat">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtreceiptPlat}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Terima Notice">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.gantiNotice}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Terima STNK">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtreceiptStnk}}
            </ng-template>
        </p-column>
        <p-column header="Total Terima">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.totalTerima}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.vehicleDocumentRequirement.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <a (click)="removeItem(rowData)">Delete</a>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
    <div class="row">
        <div class="col-md-12">
            <div class="pull-right">
                <button type="submit" class="btn btn-primary" (click)="simpan()"><span>Simpan</span></button>
            </div>
        </div>
    </div>
    </div>
    <hr>